## org.mortbay.jetty.ant
Class JettyWebAppConfiguration

    java.lang.Object
      org.mortbay.jetty.webapp.WebXmlConfiguration
          org.mortbay.jetty.plus.webapp.AbstractConfiguration
              org.mortbay.jetty.plus.webapp.Configuration
                  org.mortbay.jetty.ant.JettyWebAppConfiguration

All Implemented Interfaces:
  Serializable, Configuration

    public class JettyWebAppConfiguration

extends Configuration

This configuration object provides additional way to inject application properties into the configured web application. The list of classpath files, the application base directory and web.xml file could be specified in this way.

Author:
  Jakub Pawlowicz
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.mortbay.jetty.plus.webapp.AbstractConfiguration
`_callbacks, _injections, _runAsCollection`

Fields inherited from class org.mortbay.jetty.webapp.WebXmlConfiguration
`_constraintMappings, _context, _defaultWelcomeFileList, _errorPages, _filterMappings, _filters, _hasJSP, _jspServletClass, _jspServletName, _listeners, _servletHandler, _servletMappings, _servlets, _version, _welcomeFiles, _xmlParser`

Constructor Summary
`JettyWebAppConfiguration()`

Method Summary
`void` `configureClassLoader()` Adds classpath files into web application classloader.
`void` `configureWebApp()` Sets web.xml and base directory for the configured web application.
`File` `getWebDefaultXmlFile()`
`void` `setClassPathFiles(List classPathFiles)`
`void` `setWebAppBaseDir(File webAppBaseDir)`
`void` `setWebDefaultXmlFile(File webDefaultXmlfile)`
`void` `setWebXmlFile(File webXmlFile)`

Methods inherited from class org.mortbay.jetty.plus.webapp.Configuration
`bindEnvEntry, bindMessageDestinationRef, bindResourceEnvRef, bindResourceRef, bindUserTransaction, configureDefaults, deconfigureWebApp, lockCompEnv, parseAnnotations, unlockCompEnv`

Methods inherited from class org.mortbay.jetty.plus.webapp.AbstractConfiguration
`callPreDestroyCallbacks, configure, initEnvEntry, initialize, initInjection, initMessageDestinationRef, initPostConstruct, initPreDestroy, initResourceEnvRef, initResourceRef, initWebXmlElement, injectAndCallPostConstructCallbacks, setWebAppContext`

Methods inherited from class org.mortbay.jetty.webapp.WebXmlConfiguration

`findWebXml, getJSPServletName, getWebAppContext, initContextParam, initDisplayName, initDistributable, initErrorPage, initFilter, initFilterMapping, initJspConfig, initListener, initLocaleEncodingList, initLoginConfig, initMimeConfig, initSecurityConstraint, initSecurityRole, initServlet, initServletMapping, initSessionConfig, initTagLib, initWelcomeFileList, newListenerInstance, normalizePattern, webXmlParser`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JettyWebAppConfiguration

    public JettyWebAppConfiguration()
                             throws ClassNotFoundException

Throws:
  `ClassNotFoundException`

Method Detail

### getWebDefaultXmlFile

    public File getWebDefaultXmlFile()

### setWebDefaultXmlFile

    public void setWebDefaultXmlFile(File webDefaultXmlfile)

### setClassPathFiles

    public void setClassPathFiles(List classPathFiles)

### setWebAppBaseDir

    public void setWebAppBaseDir(File webAppBaseDir)

### setWebXmlFile

    public void setWebXmlFile(File webXmlFile)

### configureClassLoader

    public void configureClassLoader()
                              throws Exception

  Adds classpath files into web application classloader.

  Specified by:
    `configureClassLoader` in interface `Configuration`
  Overrides:
    `configureClassLoader` in class `Configuration`
  Throws:
    `Exception`
  See Also:
    `Configuration.configureClassLoader()`

### configureWebApp

    public void configureWebApp()
                         throws Exception

  Sets web.xml and base directory for the configured web application.

  Specified by:
    `configureWebApp` in interface `Configuration`
  Overrides:
    `configureWebApp` in class `Configuration`
  Throws:
    `Exception`
  See Also:
    `Configuration.configureWebApp()`

Copyright © 1995-2008 Mort Bay Consulting. All Rights Reserved.